Skip to content

REST API: Account Analytics List

This GET endpoint retrieves analytics for your account.

GET API url -> /v1/analytics/account

Query Parameters

The following query parameters are possible:

Field Type Description Required
from Long Unix timestamp in milliseconds Optional
to Long Unix timestamp in milliseconds Optional

Response Examples

[
   {
        "totalDevicesCount": "26753",
        "totalIpAddressRestrictionCount": "4",
        "totalApplicationsAccessTokenAndroidCount": "0",
        "totalDevicesRegisteredCount": "13224",
        "totalApplicationsIosCount": "1",
        "totalTime": "00:00:00.011",
        "totalNotificationsDismissedTodayCount": "0",
        "totalApplicationsAccessTokenCount": "0",
        "totalNotificationsNotDeliveredTodayCount": "0",
        "totalApplicationsAccessTokenIosCount": "0",
        "totalDevicesUnregisteredIosCount": "6764",
        "totalNotificationsTodayCount": "0",
        "totalNotificationsDeliveredTodayCount": "0",
        "totalDevicesUnregisteredAndroidCount": "6765",
        "createdAt": 1771801199999,
        "totalDevicesRegisteredIosCount": "6612",
        "totalSegmentsCount": "3",
        "totalApplicationsAndroidCount": "1",
        "totalApplicationsCount": "2",
        "totalNotificationsSentTodayCount": "0",
        "totalNotificationsClickedTodayCount": "0",
        "totalTimeMillis": "11",
        "totalDevicesUnregisteredCount": "13529",
        "totalDevicesRegisteredAndroidCount": "6612"
    },
    {
        "totalDevicesCount": "26110",
        "totalIpAddressRestrictionCount": "4",
        "totalApplicationsAccessTokenAndroidCount": "0",
        "totalDevicesRegisteredCount": "12856",
        "totalApplicationsIosCount": "1",
        "totalTime": "00:00:00.011",
        "totalNotificationsDismissedTodayCount": "0",
        "totalApplicationsAccessTokenCount": "0",
        "totalNotificationsNotDeliveredTodayCount": "0",
        "totalApplicationsAccessTokenIosCount": "0",
        "totalDevicesUnregisteredIosCount": "6627",
        "totalNotificationsTodayCount": "0",
        "totalNotificationsDeliveredTodayCount": "0",
        "totalDevicesUnregisteredAndroidCount": "6627",
        "createdAt": 1771714799999,
        "totalDevicesRegisteredIosCount": "6432",
        "totalSegmentsCount": "3",
        "totalApplicationsAndroidCount": "1",
        "totalApplicationsCount": "2",
        "totalNotificationsSentTodayCount": "0",
        "totalNotificationsClickedTodayCount": "0",
        "totalTimeMillis": "11",
        "totalDevicesUnregisteredCount": "13254",
        "totalDevicesRegisteredAndroidCount": "6424"
    },
]
Error message